%global pypi_name sybil

Summary:        Automated testing for the examples in your documentation
Name:           python-%{pypi_name}
Version:        3.0.1
Release:        4%{?dist}
License:        MIT
URL:            https://sybil.readthedocs.io/
Source0:        https://github.com/simplistix/sybil/archive/%{version}/%{pypi_name}-%{version}.tar.gz

Patch0001:      https://github.com/simplistix/sybil/commit/df0d221c1d9da1454a5ef7fd72675d8d43b96eb0.patch

BuildArch:      noarch

%description
This library provides a way to test examples in your documentation by parsing
them from the documentation source and evaluating the parsed examples as part
of your normal test run. Integration is provided for the three main Python
test runners.

%package -n python3-%{pypi_name}
Summary:        Automated testing for the examples in your documentation
BuildRequires:  make
BuildRequires:  python3-devel python3-setuptools python3-pytest python3-pytest-cov

%description -n python3-%{pypi_name}
This library provides a way to test examples in your documentation by parsing
them from the documentation source and evaluating the parsed examples as part
of your normal test run. Integration is provided for the three main Python
test runners.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%pytest tests

%files -n python3-%{pypi_name}
%doc README.rst
%license docs/license.rst
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{pypi_name}/

%changelog
* Thu Sep 14 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.1-4
- Add a patch to adapt pytest7.4+

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.1-1
- initial build
